Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qiml
Class ChildSelection

    java.lang.Object
      |
      +--com.jxml.quick.model.qiml.ChildSelection

All Implemented Interfaces:
  ContentModel

public class ChildSelection
extends Object
implements ContentModel

ChildSelection - The childSelection element defines a set of alternative sub-models within the content model of the element being defined.

Field Summary
`protected Access` | `access_30`
`protected ArrayList` | `contentModel_31` list of ContentModel
`protected boolean` | `optional_28`
`protected boolean` | `repeating_29`

Constructor Summary
`ChildSelection()`
`ChildSelection(ArrayList contentModel_31)` minimum constructor
`ChildSelection(boolean optional_28, boolean repeating_29, Access access_30, ArrayList contentModel_31)` full constructor

Method Summary
`void` | `addContentModel(ContentModel contentModel)`
`int` | `contentModelCount()`
`Access` | `getAccess_30()`
`ArrayList` | `getContentModel_31()` list of ContentModel
`ContentModel` | `getContentModel(int i)`
`boolean` | `getOptional_28()`
`boolean` | `getRepeating_29()`
`void` | `setAccess_30(Access access_30)`
`void` | `setContentModel_31(ArrayList contentModel_31)` list of ContentModel
`void` | `setContentModel(int i, ContentModel contentModel)`
`void` | `setOptional_28(boolean optional_28)`
`void` | `setRepeating_29(boolean repeating_29)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### optional_28

    protected boolean optional_28

### repeating_29

    protected boolean repeating_29

### access_30

    protected Access access_30

### contentModel_31

    protected ArrayList contentModel_31

  list of ContentModel

Constructor Detail

### ChildSelection

    public ChildSelection()

### ChildSelection

    public ChildSelection(boolean optional_28,
                          boolean repeating_29,
                          Access access_30,
                          ArrayList contentModel_31)

  full constructor

### ChildSelection

    public ChildSelection(ArrayList contentModel_31)

  minimum constructor

Method Detail

### getOptional_28

    public boolean getOptional_28()

### setOptional_28

    public void setOptional_28(boolean optional_28)

### getRepeating_29

    public boolean getRepeating_29()

### setRepeating_29

    public void setRepeating_29(boolean repeating_29)

### getAccess_30

    public Access getAccess_30()

### setAccess_30

    public void setAccess_30(Access access_30)

### getContentModel_31

    public ArrayList getContentModel_31()

  list of ContentModel

### setContentModel_31

    public void setContentModel_31(ArrayList contentModel_31)

  list of ContentModel

### getContentModel

    public ContentModel getContentModel(int i)

### setContentModel

    public void setContentModel(int i,
                                ContentModel contentModel)

### contentModelCount

    public int contentModelCount()

### addContentModel

    public void addContentModel(ContentModel contentModel)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD